// Winter quarter 2002
// newratnum.h
// implementation found in newratnum.cpp
// To be completed for homework 7
#include <iostream>
using std::ostream;
using std::istream;

class Ratnum {
    friend istream &operator>>(istream &, Ratnum &);
    // add declaration for overloaded << here
public:
    Ratnum(int=0,  int=1);  // initialize numerator and denominator
    Ratnum(const Ratnum &);               // copy constructor
    int get_denominator() const; // returns value of denom.
    int get_numerator() const;            // returns value of num.
    bool set_ratnum(int, int); // returns false if denom == 0 
    double convert_to_double() const;
    // add declaration for overloaded operators here
private:
    int denominator;  // Not 0
    int numerator;             // always stored in reduced form
    int gcd(int, int);         // utility function
};

#endif

